/**
 * A helper for creating a chart based on a table (conf. <https://jackens.github.io/nnn/chartable/>).
 *
 * Options:
 * - `bottom`: bottom padding (for X axis labels)
 * - `gapX`: X axis spacing
 * - `gapY`: Y axis spacing
 * - `headerColumn`: flag indicating that `table` has a header column (with X axis labels)
 * - `id`: chart id
 * - `left`: left padding (for data series labels)
 * - `maxY`: number of Y axis lines
 * - `reverse`: flag to reverse all data series
 * - `right`: right padding (for data series labels)
 * - `rotate`: flag to rotate X axis labels
 * - `singleScale`: flag to force single scale
 * - `table`: `HTMLTableElement` to extract data, data series labels and X axis labels
 * - `title`: chart title
 * - `top`: top padding (for the title)
 */
export function chartable({ bottom, gapX, gapY, headerColumn, id, left, maxY, reverse, right, rotate, singleScale, table, title, top }: {
    bottom?: number;
    gapX?: number;
    gapY?: number;
    headerColumn?: boolean;
    id?: string;
    left?: number;
    maxY?: number;
    reverse?: boolean;
    right?: number;
    rotate?: boolean;
    singleScale?: boolean;
    table: HTMLTableElement;
    title?: string;
    top?: number;
}): SVGSVGElement;

export const tests: {};
